Cancel Payment
Cancel a specific cross-border credit transfer payment created by the Payment Initiation Service (PIS).
Endpoint
DELETE /v1/payments/cross-border-credit-transfers/{paymentId}
Path Parameters
| Attribute | Type | Description |
|---|---|---|
| paymentId | String | ID of the corresponding payment initiation object as returned by a Payment Initiation Request. |
Query Parameters
No query parameters.
Request Headers
| Attribute | Type | Condition | Description |
|---|---|---|---|
| X-Request-ID | UUID | Mandatory | ID of the request, unique to the call, as determined by the initiating party (TPP). |
| Authorization | String | Mandatory | The oAuth2 Bearer token obtained from the SCA performed prior to this request. |
| API-Key | String | Mandatory | Consumer key available on the developers portal. |
| Consent-ID | UUID | Mandatory | The consent ID of the related PIS consent. |
Request Body
No request body.
Response
- If the DELETE is sufficient for cancelling the payment, an HTTP response code 200 will be returned.
- If the DELETE is not sufficient for cancelling the payment (authorisation by the PSU is needed), an HTTP response code 202 will be returned.
Response Headers
| Attribute | Type | Condition | Description |
|---|---|---|---|
| X-Request-ID | UUID | Mandatory | ID of the request, unique to the call, as determined by the initiating party (TPP). |
Response Body
No response body.
Example
Request
curl -X DELETE \ https://mp-psd2-api.mypos.com/v1/payments/e454aa67-2829-49da-a4e3-9fbcdd6e7545 \ -H 'API-Key: aGDmxHAmpMWUL1txqCsjEcOS' \ -H 'Authorization: Bearer oqeeWzoYfqkf1RsfyaB3hyNiLvY7GNAV6Kta7sGa9X' \ -H 'X-Request-ID: a552babc-7081-44e7-9361-61eb17e0bfd9' \ -H 'Consent-ID: 3c7816ee-3d51-4bf5-8ced-ece2af35d431'
Response
No response body.